local custom_event = script.generate_event_name()

remote.add_interface(
  "sender",
  {event_id = function() return custom_event end})

local function raise_event(event)
  -- string2 is overwritten by string1 when sending
  local data = {
    ["string1"] = "[img=item/express-transport-belt] String A",
    ["string2"] = "[img=item/express-transport-belt] String B",
  }
  log("Data, before event raised:\n"..serpent.block(data))
  script.raise_event(custom_event, {data = data})

  -- this almost identical example works
  data = {
    ["string1"] = "[img=item/express-transport-belt] A",
    ["string2"] = "[img=item/express-transport-belt] B",
  }
  log("Data, before event raised:\n"..serpent.block(data))
  script.raise_event(custom_event, {data = data})
end

script.on_nth_tick(60, raise_event)
